Skip to main content
`Ctrl`+`K`

# PetscLogStateGetEventFromName

Get a `PetscLogEvent` from the name it was registered with.

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateGetEventFromName(PetscLogState state, const char name[], PetscLogEvent *event)

Not collective

## Input Parameters

- state - a `PetscLogState`

- name - an event’s name

## Output Parameter

- event - the event’s id

## See Also

Profiling, `PetscLogState`, `PetscLogStateEventRegister()`, `PetscLogStateEventGetInfo()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages